<ion-header>
	<ion-toolbar mode="ios" class="header-page" color="light">
		<ion-button (click)="this.commonMethodsTs.goBack()" slot="start">
			<ion-icon slot="icon-only" name="arrow-round-back">
			</ion-icon>
		</ion-button>
		<ion-title (click)="this.commonMethodsTs.toPage_AdminDangTinViolation()">
			<ion-icon name="home"></ion-icon>
			Chi tiết vi phạm
		</ion-title>
		<ion-button slot="end" (click)="saveData()">
			<ion-icon slot="icon-only" name="save"></ion-icon>
		</ion-button>
	</ion-toolbar>
</ion-header>

<ion-content color="light" fullscreen>
	<ion-grid fixed class="ion-no-padding">
		<ion-list class="list-info-user">
			<ion-item>
				Tiêu đề:
				<ion-label>{{ this.commonMethodsTs.getData(displayData, 'DangTin_Ext.TieuDe', this.lbl.noneUpdate) }}
				</ion-label>
			</ion-item>
			<ion-item>
				Thành viên đăng tin:
				<ion-label>
					{{ this.commonMethodsTs.getData(displayData, 'DangTin_Ext.TenThanhVien', this.lbl.noneUpdate) }}
				</ion-label>
			</ion-item>
			<ion-item>
				Lý do:
				<ion-label>{{ this.commonMethodsTs.getData(displayData, 'LyDo', this.lbl.noneUpdate) }}</ion-label>
			</ion-item>
			<ion-item>
				Thành viên báo cáo:
				<ion-label>{{ this.commonMethodsTs.getData(displayData, 'TenThanhVienTao', this.lbl.noneUpdate) }}
				</ion-label>
			</ion-item>
			<ion-item>
				Ngày tạo:
				<ion-label>{{displayData.NgayTao | date: 'dd/MM/yyyy'}}</ion-label>
			</ion-item>
			<ion-item lines="full">
				<ion-list class="ion-no-padding" lines="none">
					<ion-radio-group class="custom-radio" [(ngModel)]="displayData.TrangThai">
						<ion-item class="ion-no-padding">
							<ion-label>Tình trạng xử lý: </ion-label>
						</ion-item>
						<ion-item *ngFor="let item of lTrangThai">
							<ion-label>{{item.label}}</ion-label>
							<ion-radio slot="start" [value]="item.value"></ion-radio>
						</ion-item>
					</ion-radio-group>
				</ion-list>
			</ion-item>
			<ion-item class="d-flex ion-align-items-start">
				<ion-label class="label-for-textarea">Nội dung xử lý: </ion-label>
				<ion-textarea [readonly]="displayData.TrangThai != 1" rows="5" placeholder="Nội dung xử lý"
					[(ngModel)]="displayData.NoiDungXuLy "></ion-textarea>
			</ion-item>
			<ion-button color="success" (click)="goToLinkDangTin(displayData.DangTin_Ext.Id)" class="btn-transdetail">
				Xem tin
			</ion-button>
		</ion-list>
		<ion-list lines="none" class="list-info-user ion-margin-top ion-padding-vertical ion-padding-horizontal">
			<ion-button (click)="xoaThongBao()" class="w-100p mx-a" color="primary">Xoá</ion-button>
		</ion-list>
	</ion-grid>

</ion-content>